Subject: Ticket Assigned - Store information
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 06 Mar 2023 05:16:32 +0000 (UTC)

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Store information I am filing a complaint against the cashier workers for their mistreatment, severe embarrassment, and disruption during payment. After proving my membership in the Fazaa program and presenting the Emirates ID, and the workers insisted on opening the program on the phone, I forgot the password, and because of my extreme embarrassment, I was unable to open the application, but I kept the photo, membership number, and identification, and it did not intercede for them.  They insisted on paying the full amount, and that was done.. but I went to the administration manager, solved the problem, and deducted a reduction in his panic.. but after causing severe harassment and embarrassment in front of customers and my family members, and once again the cashier spoke to me in an inappropriate manner, repeating: This is the last time we allow you to do that procedure!!!  Pl
 ease intervene and hold those responsible for this bad behavior accountable, with thanks..... Marina Mall - Splash Stores and Center Point - Sunday, March 6, 2023 at 7:30 pm https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5797209